# Method: projects.locations.services.testIamPermissions

- [HTTP request](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/testIamPermissions#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/testIamPermissions#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/testIamPermissions#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/testIamPermissions#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/testIamPermissions#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/testIamPermissions#body.aspect)

Returns permissions that a caller has on the specified Project.

There are no permissions required for making this API call.

### HTTP request

`POST https://run.googleapis.com/v2/{resource}:testIamPermissions`

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field. It takes the form `projects/{project}/locations/{location}/services/{service}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "permissions": [ string ] } ``` |

| Fields ||
|---|---|
| `permissions[]` | `string` The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions). |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/run/docs/reference/rest/Shared.Types/TestIamPermissionsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).